# Get a parent Customer. Retrieve the parent Customer profile information of a current user. Endpoint: GET /customer Version: 1.0 Security: ApiKeyAuth, BasicAuth ## Header parameters: - `X-API-Key` (string, required) Customer-specific API key required to invoke API. - `Authorization` (string, required) Provided by Authentication Token creation operation - `AccessToken` (string, required) JWT token provided by Authentication Token creation operation. - `Content-Type` (string, required) Enum: "application/json" ## Response 200 fields (application/json): - `customerId` (string) Example: "1571618541345" - `name` (string) Example: "John Lake" - `profile` (object) - `profile.contactName` (string) Example: "Bill Maple" - `profile.contactEmail` (string) Example: "example@mail.com" - `profile.contactNumber` (string) Example: "301-234-5567" - `profile.contactAddress` (string) Example: "10 Maple ave" - `profile.contactCity` (string) Example: "Middletown" - `profile.contactState` (string) Example: "MD" - `profile.contactZipcode` (string) Example: "24566" - `profile.contactCountry` (string) Example: "USA" ## Response 401 fields (application/json): - `message` (string) - `detail` (string) ## Response 403 fields (application/json): - `message` (string) - `detail` (string)